### Method

# St Widget set_accessible_role

#### Declaration [src]

    void
    st_widget_set_accessible_role (
      StWidget* widget,
      AtkRole role
    )

#### Description [src]

This method sets `role` as the accessible role for `widget`. This role describes what kind of user interface element `widget` is and is provided so that assistive technologies know how to present `widget` to the user.

Usually you will have no need to set the accessible role for an object, as this information is extracted from the context of the object (ie: a `StButton` has by default a push button role). This method is only required when you need to redefine the role currently associated with the widget, for instance if it is being used in an unusual way (ie: a `StButton` used as a togglebutton), or if a generic object is used directly (ie: a container as a menu item).

If `role` is #ATK_ROLE_INVALID, the role will not be changed and the accessible’s default role will be used instead.

Sets property | `St.Widget:accessible-role`

#### Parameters

`role`

  Type: `AtkRole`

  The role to use.